<template>
	<mobile-frame>
		<view class="main">
			<view class="one">
				<view class="one_1">
					<text>¥</text><text>{{money}}</text>
				</view>
				<view class="one_2">
					当前可用
				</view>
			</view>
			<view class="two">
				<view class="two_1" v-if="list&&list.length>0">
					数据列表
				</view>
				<view class="two_2" v-else>
					已加载完全部
				</view>
			</view>
		</view>
	</mobile-frame>
</template>

<script>
	export default {
		data() {
			return {
				money: 0,
				list: []
			};
		},
		onLoad: function(e) {
			
		},
		methods: {

		},
		onPullDownRefresh: async function() {
			const that = this;
			that.$set(that, `list`, [])
			that.$set(that, `skip`, 0)
			that.$set(that, `limit`, 6)
			that.$set(that, `page`, 0)
			await that.search();
			uni.stopPullDownRefresh();
		}
	}
</script>

<style lang="scss">
	.main {
		display: flex;
		flex-direction: column;
		width: 100vw;
		height: 100vh;

		.one {
			background-color: var(--fFB1Color);
			text-align: center;
			padding: 5vw 0;

			.one_1 {
				font-size: 25px;
				font-weight: bold;
				color: #fff;
				margin: 0 0 2vw 0;

				text:nth-child(1) {
					font-size: 15px;
					padding: 0 1vw 0 0;
				}
			}

			.one_2 {
				font-size: 16px;
				color: #fff;
			}
		}

		.two {
			.two_2 {
				text-align: center;
				color: #858585;
				font-size: 14px;
				margin: 5vw 0;
			}

		}
	}
</style>
